Skip to content

Get Skill

GET /skills/{skill_id}
NameInTypeNotes
skill_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseSkillView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/skills/{skill_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
scopeworkspace | organization | platformrequired—
organization_idstring (uuid) | nullrequired, nullable—
workspace_idstring (uuid) | nullrequired, nullable—
owner_agent_idstring (uuid) | nullrequired, nullable—
owner_user_idstring (uuid) | nullrequired, nullable—
slugstringrequired—
descriptionstringrequired—
instructionsstringrequired—
reference_docsReferenceDoc[]required—
versionintegerrequired—
curation_statepending | reviewed | promoted | superseded | retiredrequired—
originhuman | agent | import | derivedrequired—
use_countintegerrequired—
last_used_atstring (date-time) | nullrequired, nullable—
is_activebooleanrequired—
created_atstring (date-time)required—
updated_atstring (date-time)required—